Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

SAMBA 2.2.8 on Alpha v 8.2

UpstateRob
Occasional Advisor

SAMBA 2.2.8 on Alpha v 8.2

Why would I get broken pipes... and then users are actually not able to connect until I kill SMB processes. As shown here:

SYS$SYSDEVICE:[SAMBALOG.T00439757;1

[2007/08/20 10:08:52, 0] DISK$SWAP:[JYC.SAMBA.SAMBA-2_2_8-SRC.SOURCE.LIB]UTIL_SO
CK.C;4:(1025)
getpeername failed. Error was socket is not connected
[2007/08/20 10:08:52, 0] DISK$SWAP:[JYC.SAMBA.SAMBA-2_2_8-SRC.SOURCE.LIB]UTIL_SO
CK.C;4:(508)
write_socket_data: write failure. Error = broken pipe
[2007/08/20 10:08:52, 0] DISK$SWAP:[JYC.SAMBA.SAMBA-2_2_8-SRC.SOURCE.LIB]UTIL_SO
CK.C;4:(532)
write_socket: Error writing 4 bytes to socket 3: ERRNO = broken pipe
[2007/08/20 10:08:52, 0] DISK$SWAP:[JYC.SAMBA.SAMBA-2_2_8-SRC.SOURCE.LIB]UTIL_SO
CK.C;4:(712)
Error writing 4 bytes to client. -1. (broken pipe)

Does this sound familiar to anyone? Thanx.
6 REPLIES
Willem Grooters
Honored Contributor

Re: SAMBA 2.2.8 on Alpha v 8.2

are you sure the right ports are enabled - IIRC 139 and 445 - not just on your VMS machine but over the whole network. Several times I've seen that intermediate firewalls shut down these ports (to prevent abuse).

Another gess: If any external server (WINS?) has restarted, it might be required to restart Samba (because of lost connections).

BTW: Are you aware of the CIFS iniative?

Willem
Willem Grooters
OpenVMS Developer & System Manager
O'Malley
Occasional Visitor

Re: SAMBA 2.2.8 on Alpha v 8.2

More on CIFS please.
UpstateRob
Occasional Advisor

Re: SAMBA 2.2.8 on Alpha v 8.2

FOR HP Official Test version of CIFS, look here:
http://h71000.www7.hp.com/network/cifs_download.html
I have not run it yet, I am still running the older version from here, which works okay: http://www.pi-net.dyndns.org/anonymous/jyc/

I think my real problem is that users running from CITRIX are getting caught kinda like a multiple mount from the same box. I will probably make them each get a SEPARATE process like they should and that may solve re-connection problems.
Willem Grooters
Honored Contributor

Re: SAMBA 2.2.8 on Alpha v 8.2

Citrix - rings a bell.
Check intrusions, for a start. If sufficient users from a Citrix server have entered wrong credentials, the whole server will be marked as source of intrusion, marking any subsequent attempt "invalid". See trhread - though it's a different situation, it might be a similar situation:
http://forums1.itrc.hp.com/service/forums/questionanswer.do?threadId=1050386 - but wo
Willem Grooters
OpenVMS Developer & System Manager
UpstateRob
Occasional Advisor

Re: SAMBA 2.2.8 on Alpha v 8.2

I took another approach and installed the T01 CIFS from HP, but I got this error when trying to run testparm or start NMBD:

%DCL-W-ACTIMAGE, error activating image TCPIP$IPC_SHR-CLI-E-IMGNAME, image file $1$DGA2:[SYS1.SYSCOMMON.][SYSLIB]TCPIP$IPC_SHR.EXE
-SYSTEM-F-SHRIDMISMAT, ident mismatch with shareable image

Not sure what to upgrade to get this; I am running: $ ucx show ver
HP TCP/IP Services for OpenVMS Alpha Version V5.5 - ECO 1
on an hp AlphaServer ES47 7/1150 running OpenVMS V8.2
Do I need that newest ACRTL-V0300 to do this?
Willem Grooters
Honored Contributor

Re: SAMBA 2.2.8 on Alpha v 8.2

I guess so:

In the download page (link i earlier post) it explitly states:

[quote]
In order to successfully run HP CIFS for OpenVMS Field Test T1.0, a mandatory CRTL ECO kit must be installed. The ECO kits can be found on the ITRC FTP site. The names of the required kits are:

...
OpenVMS Alpha v8.2 -- (VMS82A_ACRTL-V0300.ZIPEXE)

[/quote]
Willem Grooters
OpenVMS Developer & System Manager